package com.zehong.dangerousdevicereport.enums;

public enum DeviceStatusEnum {
    PREHEAT("0","预热"),
    NORMAL("1","正常"),
    ERROR("2","错误"),
    SENSORFAILURE("3","传感器故障"),
    ALARM("4","报警"),
    LOWER("5","低报"),
    HEIGHT("6","高报"),
    COMMUNICATIONFAILURE("7","通信故障"),
    OVERRANGE("8","超量程"),
    OUT("9","离线"),
    LOWBATTERY("10","电池电量低"),
    MAINPOWERBAD("11","控制器主电源故障"),
    STANDBYPOWERBAD("12","控制器备电源故障"),
    NOSTEP("13","控制器无此节点"),
    LOWVOTAGE("14","低电压"),
    DEVICEDOWN("15","设备故障");

    private String code;
    private String status;

    DeviceStatusEnum(String code,String status) {
        this.code = code;
        this.status = status;
    }

    public String getCode() {
        return code;
    }
    public String getStatus(){
        return status;
    }
}

