package com.zehong.dangerousdevicereport.entity;

import java.util.Date;
import lombok.Data;

/**
 * 【报警】对象 t_alarm_info
 * 
 * @author zehong
 * @date 2022-04-12
 */
@Data
public class TAlarmInfo {
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 企业id */
    private String enterpriseId;

    /** 设备id */
    private String deviceId;

    /** 报警类型 */
    private String alarmType;

    /** 报警信息 */
    private String alarmInfo;

    /** 上报数值 */
    private String reportValue;

    /** 报警时间 */
    private Date alarmTime;

    /** 状态，0预警中，1已处理 */
    private String alarmStatus;

    /** 处理类型，0未处理，1自动消警，2手动消警 */
    private String handleType;

    /** 处理时间 */
    private Date handleTime;

    /** 处理人id */
    private String handleUserId;

    /** 是否派发处理，0否，1是 */
    private String isSend;

    /** 是否下发 */
    private Date sendTime;

    /** 处理结果 */
    private String handResult;

    /** 备注信息 */
    private String remarks;

    /** 创建时间 */
    private Date createTime;
}
